# RPM specfile for gnome-pilot module
# Generated Wed Apr  2 16:57:08 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.220 2003/03/28 22:06:56 peter Exp $

%define nam	gnome-pilot
%define ver	0.1.71
%define ximrev	2

Name:     	gnome-pilot
Version: 	0.1.71
Release:	0.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/gnome-pilot/
Source0:	gnome-pilot-0.1.71.tar.bz2
Patch0:		gnome-pilot-install-client.patch
BuildRequires:	pilot-link-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	intltool
BuildRequires:	libxml-devel
BuildRequires:	gnome-vfs-devel
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/bin/gnome-pilot-make-password
/usr/bin/gpilot-install-file
/usr/bin/gpilotd
/usr/bin/gpilotd-client
/usr/bin/gpilotd-control-applet
/usr/bin/gpilotd-session-wrapper
/usr/lib/gnome-pilot/conduits/*
/usr/share/control-center/*
/usr/share/gnome/*
/usr/share/gnome-pilot/*
/usr/share/locale/*/*/*
/usr/share/mime-info/*
/usr/share/pixmaps/*
/etc/CORBA/servers/*
/usr/share/man/man1/*
%dir /usr/share/gnome-pilot
%dir /usr/lib/gnome-pilot/conduits
%dir /usr/lib/gnome-pilot


%package -n libgnome-pilot1
Summary:	GNOME pilot libraries
Group:		System/Libraries
Provides:	ximian-libgnome-pilot1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgnome-pilot1
GNOME-Pilot libraries

%files -n libgnome-pilot1
%defattr(-, root, root)
/usr/lib/*.so.*


%post -n libgnome-pilot1
ldconfig

%postun -n libgnome-pilot1
ldconfig

%package -n libgnome-pilot1-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	pilot-link-devel
Provides:	libgnome-pilot-devel = %{PACKAGE_VERSION}
Provides:	gnome-pilot-devel = %{PACKAGE_VERSION}
Provides:	ximian-libgnome-pilot1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgnome-pilot0-devel

%description -n libgnome-pilot1-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n libgnome-pilot1-devel
%defattr(-, root, root)
/usr/include/*/*
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*Conf.sh
/usr/share/idl/*
%dir /usr/include/gpilotd
%dir /usr/include/libgpilotdCM


%package -n gnome-pilot-applet
Summary:	GNOME Pilot Panel Applet
Group:		Applications/Communications
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	ximian-gnome-pilot-applet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-pilot < %{PACKAGE_VERSION}

%description -n gnome-pilot-applet
GNOME Pilot provides this panel applet for control and status on your GNOME 1.4 based desktop. This package will not work with GNOME 2.x

%files -n gnome-pilot-applet
%defattr(-, root, root)
/usr/share/applets/Utility/gpilot-applet.desktop
/usr/bin/gpilot-applet


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-0.1.71
    ;;
all)
%setup  -q -n gnome-pilot-0.1.71
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; if [ -x /usr/bin/aclocal-1.4 ]; then aclocal-1.4 ${ACLOCAL_FLAGS} -I macros; else aclocal ${ACLOCAL_FLAGS} -I macros; fi; autoconf; if [ -x /usr/bin/automake-1.4 ]; then automake-1.4 --gnu --add-missing; else automake --gnu --add-missing --include-deps; fi; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-usb-visor=yes --disable-oaf --with-pisock=/usr
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 2 2003 Ximian, Inc.

- Version: 1:0.1.71-0.ximian.2
- Summary: New build.
- New automated build.

* Wed Dec 4 2002 Ximian, Inc.

- Version: 0.1.70-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Jun 17 2002 Ximian, Inc.

- Version: 0.1.65-3.ximian.2
- Summary: New build.
- New automated build.

* Wed Mar 27 2002 Ximian, Inc.

- Version: 0.1.64-3.ximian.2
- Summary: New build.
- New automated build.

